(function () {

  "use strict";

  console.log("=== Event example: ==="); 

  var Button = $class({
    click: function () {
      this.dispatchEvent({ target: this, type: "click" }); 
    } 
  }, util4js.Component);

  var myButton = new Button();
  myButton.addEventListener("click", function (e) {
    console.log("Button was clicked..."); 
  });
  myButton.click();

}());
