"use strict";

var class4js = require("class4js");
var util4js = require("../../lib/util4js.js");

console.log("=== Event example: ==="); 

var Button = $class({
  click: function () {
    this.dispatchEvent({ target: this, type: "click" }); 
  } 
}, util4js.Component);

var myButton = new Button();
myButton.addEventListener("click", function (e) {
  console.log("Button was clicked..."); 
});
myButton.click();

// It's required for PhantomJS
if (typeof phantom !== "undefined") {
  phantom.exit();
}
