"use strict";

var class4js = require("class4js");
var util4js = require("../../lib/util4js.js");

console.log("=== List example: ===");

var list = new util4js.List(["One", "Two", "Three"]);   

list.insert(0, "Zero");
list.add("Four");

for (var i = 0;i < list.length; i++) {
  console.log(list.indexOf(list.get(i)) + " " + list.get(i) + " " + list.contains(list.get(i))); 
}

list.remove("Two");
list.removeAt(2);

list.set(2, "Two");

for (var i = 0;i < list.length; i++) {
  console.log(list.get(i)); 
}

list.clear();
console.log(list.length);

// It's required for PhantomJS
if (typeof phantom !== "undefined") {
  phantom.exit();
}
