"use strict";

var class4js = require("class4js");
var util4js = require("../../lib/util4js.js");

console.log("=== Queue example: ===");

var queue = new util4js.Queue(["first", "second"]);

queue.enqueue("third");
console.log(queue.length);

console.log(queue.contains("second"));

console.log(queue.peek());
console.log(queue.length);

console.log(queue.dequeue());
console.log(queue.length);

queue.clear();
console.log(queue.length);

// It's required for PhantomJS
if (typeof phantom !== "undefined") {
  phantom.exit();
}
