"use strict";

var class4js = require("class4js");
var util4js = require("../../lib/util4js.js");

console.log("=== Set with object key example: ===");

var set = new util4js.Set(); 

var Item = $class({
  __construct__: function (name) {
    this.__name = name;
  },
  name: {
    get: function () {
      return this.__name;
    }
  } 
}, util4js.Object);

var item1 = new Item("Item1");
var item2 = new Item("Item2");

set.add(item1);
set.add(item2);

console.log(set.contains(item1));

set.forEach(function (item) {
  console.log(item.name); 
});

console.log(set.length);

// It's required for PhantomJS
if (typeof phantom !== "undefined") {
  phantom.exit();
}
