/**
 * @interface {util4js.IQueue}
 * @extends {util4js.IIteratable}
 */
var IQueue = $interface({

  /**
   * @memberOf {util4js.IQueue}
   * @property {Number} length
   */
  length: {
    get: function () {
    }
  },

  /**
   * @memberOf {util4js.IQueue}
   * @public
   * @method clear
   */
  clear: function () {
    
  },

  /**
   * @memberOf {util4js.IQueue}
   * @public
   * @method contains
   * @param {Object} item
   */
  contains: function (item) {
  },

  /**
   * @memberOf {util4js.IQueue}
   * @public
   * @method peek
   * @returns {Object}
   */
  peek: function () {
  },

  /**
   * @memberOf {util4js.IQueue}
   * @public
   * @method enqueue
   * @param {Object} item
   */
  enqueue: function (item) {
  },

  /**
   * @memberOf {util4js.IQueue}
   * @public
   * @method dequeue
   * @returns {Object}
   */
  dequeue: function () { 
  }

});

exports.IQueue = IQueue;

