/**
 * @interface {util4js.ISet}
 * @extends {util4js.ISet}
 */
var ISet = $interface({

  /**
   * @memberOf {util4js.ISet}
   * @property {Integer} length
   */
  length: { 
    get: function() {
    }
  },

  /**
   * @memberOf {util4js.ISet}
   * @method add
   * @param {Object} item
   * @returns {Integer} index
   */
  add: function (item) {
  },

  /**
   * @memberOf {util4js.ISet}
   * @method remove
   * @param {Object} item
   * @returns {Boolean}
   */
  remove: function (item) {
  },

  /**
   * @memberOf {util4js.ISet}
   * @method clear
   */
  clear: function () {
  },

  /**
   * @memberOf {util4js.ISet}
   * @method contains
   * @param {Object} item
   * @returns {Boolean}
   */
  contains: function (item) {
  }

}, ISet);

exports.ISet = ISet;

