(function () {

  "use strict";

  console.log("=== Dictionary with object key example: ===");

  var dictionary = new util4js.Dictionary();

  var Key = $class({
    __construct__: function (name) {
      this.__name = name;
    },
    name: {
      get: function () {
        return this.__name;
      }
    } 
  }, util4js.Object);

  dictionary.add(new Key("Key1"), 1);
  dictionary.add(new Key("Key2"), 2);

  dictionary.forEach(function (pair) {
    console.log(pair.key.name + ": " + pair.value);
  });

}());
