(function () {

  "use strict";

  console.log("=== List with object key example: ===");

  var list = new util4js.List();
  
  var Item = $class({
    __construct__: function (name) {
      this.__name = name;
    },
    name: {
      get: function () {
        return this.__name;
      }
    } 
  }, util4js.Object);

  var item1 = new Item("Item1");
  var item2 = new Item("Item2");

  list.add(item1);
  list.add(item2);

  console.log(list.contains(item1));

  list.forEach(function (item) {
    console.log(item.name);
    console.log(list.contains(item));
  });

}());
