"use strict";

var class4js = require("class4js");
var util4js = require("../../lib/util4js.js");

console.log("=== Dictionary example: ===");

var dictionary = new util4js.Dictionary();

dictionary.add("key1", 1);
dictionary.add("key2", null);
dictionary.add("key3", 3);

console.log(dictionary.length);

dictionary.remove("key3");
dictionary.set("key2", 2);

dictionary.forEach(function (pair) {
  console.log(pair.key + ": " + pair.value);
});

dictionary.clear();

console.log(dictionary.length);

// It's required for PhantomJS
if (typeof phantom !== "undefined") {
  phantom.exit();
}
