"use strict";

var class4js = require("class4js");
var util4js = require("../../lib/util4js.js");

console.log("=== Queue with object example: ===");

var queue = new util4js.Queue();

var Item = $class({
  __construct__: function (name) {
    this.__name = name;
  },
  name: {
    get: function () {
      return this.__name;
    }
  } 
}, util4js.Object);

var item1 = new Item("Item1");

queue.enqueue(item1);

console.log(queue.contains(item1));

// It's required for PhantomJS
if (typeof phantom !== "undefined") {
  phantom.exit();
}
