/**
 * @interface {util4js.IDictionary}
 * @extends {util4js.IIteratable}
 */
var IDictionary = $interface({

  /**
   * @memberOf {util4js.IDictionary}
   * @property {Number} length
   */
  length: { 
    get: function() {
    }
  },

  /**
   * @memberOf {util4js.IDictionary}
   * @method clear
   */
  clear: function () {
  },

  /**
   * @memberOf {util4js.IDictionary}
   * @method add
   * @param {Object} key
   * @param {Object} value
   */
  add: function (key, value) {
  },
   
  /**
   * @memberOf {util4js.IDictionary}
   * @method remove
   * @param {Object} key
   */ 
  remove: function (key) {
  },

  /**
   * @memberOf {util4js.IDictionary}
   * @method contains
   * @param {Object} key
   * @returns {Boolean}
   */
  contains: function (key) {
  },

  /**
   * @memberOf {util4js.IDictionary}
   * @method get
   * @param {Object} key
   * @returns {Boolean}
   */
  get: function (key) {
  },

  /**
   * @meberOf {util4js.IDictionary}
   * @method set
   * @param {Object} key
   * @param {Object} value
   */
  set: function (key, value) {
  }

}, IIteratable);

exports.IDictionary = IDictionary;

