/**
 * @interface {util4js.IEventTarget}
 */
var IEventTarget = $interface({

  /**
   * @memberOf {util4js.IEventTarget}
   * @method addEventListener
   * @param {String} type
   * @param {Function} listener
   */
  addEventListener: function (type, listener) { 
  },

  /**
   * @memberOf {util4js.IEventTarget}
   * @method removeEventListener
   * @param {String} type
   * @param {Function} listener
   */
  removeEventListener: function (type, listener) { 
  },

  /**
   * @memberOf {util4js.IEventTarget}
   * @method dispatchEvent
   * @param {util4js.Event} e 
   */ 
  dispatchEvent: function (e) { 
  }

});

exports.IEventTarget = IEventTarget;

