/**
 * @interface {util4js.IList}
 * @extends {util4js.IIteratable}
 */
var IList = $interface({

  /**
   * @memberOf {util4js.IList}
   * @property {Number} length
   */
  length: { 
    get: function () {
    }
  },

  /**
   * @memberOf {util4js.IList}
   * @method add
   * @param {Object} item
   * @returns {Number} index
   */
  add: function (item) {
  },

  /**
   * @memberOf {util4js.IList}
   * @method remove
   * @param {Object} item
   * @returns {Boolean}
   */
  remove: function (item) {
  },

  /**
   * @memberOf {util4js.IList}
   * @method clear
   */
  clear: function () {
  },

  /**
   * @memberOf {util4js.IList}
   * @method contains
   * @param {Object} item
   * @returns {Boolean}
   */
  contains: function (item) {
  },

  /**
   * @memberOf {util4js.IList}
   * @method get
   * @param {Number} index
   * @returns {Object}
   */
  get: function (index) {
  },

  /**
   * @memberOf {util4js.IList}
   * @method set
   * @param {Number} index
   * @param {Object} item
   */
  set: function (index, item) {
  },
 
  /**
   * @memberOf {util4js.IList}
   * @method insert
   * @param {Number} index
   * @param {Object} item
   */ 
  insert: function (index, item) {
  },

  /**
   * @memberOf {util4js.IList}
   * @method removeAt
   * @param {Number} index
   * @returns {Boolean}
   */
  removeAt: function (index) {
  },

  /**
   * @memberOf {util4js.IList}
   * @method indexOf
   * @param {Object} item
   * @returns {Number}
   */
  indexOf: function (item) { 
  } 

}, IIteratable);

exports.IList = IList;

