/**
 * @interface {util4js.IStack}
 * @extends {util4js.IIteratable}
 */
var IStack = $interface({

  /**
   * @memberOf {util4js.IStack}
   * @property {Number} length
   */
  length: {
    get: function () {
    }
  },

  /**
   * @memberOf {util4js.IStack}
   * @method clear
   */
  clear: function () {
  },

  /**
   * @memberOf {util4js.IStack}
   * @method contains
   * @param {Object} item
   */
  contains: function (item) {
  },

  /**
   * @memberOf {util4js.IStack}
   * @method peek
   * @returns {Object}
   */
  peek: function () {
  },

  /**
   * @memberOf {util4js.IStack}
   * @method pop
   * @returns {Object}
   */
  pop: function () {
  },

  /**
   * @memberOf {util4js.IStack}
   * @method push
   * @param {Object} item
   */
  push: function (item) {
  }

}, IIteratable);

exports.IStack = IStack;

